6.0.0-git
2019-12-14

[#12946] Update filters when folders are moved
Summary Update filters when folders are moved
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester software-horde (at) interfasys (dot) ch
Created 2014-01-30 (2144 days ago)
Due
Updated 2014-02-14 (2129 days ago)
Assigned
Resolved
Milestone
Patch No

History
2014-02-14 19:48:27 Michael Slusarz Comment #7 Reply to this comment
Should Ingo quickly scan the rules at login time and notify the user 
then? I don't know by how much it would slow down the login process.
For a variety of reasons, no.
2014-02-14 10:48:14 software-horde (at) interfasys (dot) ch Comment #6 Reply to this comment
In this case, there is nothing wrong with reminding the user to 
update their filters, as long as nothing is changed automatically.   
Even better would be to link to an Ingo page that filters rules by a 
mailbox name, so you can instantly see which rules are connected to 
an individual mailbox.
Should Ingo quickly scan the rules at login time and notify the user 
then? I don't know by how much it would slow down the login process.

I like the page where we can see the connections and it would be great 
if broken rules could be highlighted.


2014-02-14 03:42:50 Michael Slusarz Comment #5 Reply to this comment
Even better would be to link to an Ingo page that filters rules by a 
mailbox name, so you can instantly see which rules are connected to 
an individual mailbox.
This part has been added in Ingo.
2014-02-11 08:06:43 Michael Slusarz Comment #4
Assigned to Michael Slusarz
State ⇒ Accepted
Reply to this comment
Ingo (the filter frontend) doesn't have much to do with IMP, e.g.
there is no way to notify Ingo if a folder name in IMP has changed.
More important though, the folders can be renamed outside of IMP too,
which would go  completely unseen by Ingo.
Jan is (mostly) correct ... we absolutely can't rely on Ingo having 
any knowledge of the current state of the mailboxes on the server, 
since there are a multitude of ways to change the mailboxes outside of 
IMP.

That being said... it should be possible to *notify* the user in the 
following situation:

1) A mailbox is altered in IMP
2) That mailbox is a member of one or more rules in the current 
filtering backend.

In this case, there is nothing wrong with reminding the user to update 
their filters, as long as nothing is changed automatically.  Even 
better would be to link to an Ingo page that filters rules by a 
mailbox name, so you can instantly see which rules are connected to an 
individual mailbox.

Reopening ticket for these two features.
I was wondering if folders could be tracked internally using some 
sort of IMAP folder ID which never changes despite the name change, 
but since you know tons more than I do regarding IMAP, I trust you 
when you say it's not feasible :)
No.  There is no IMAP equivalent to mailbox names as there is to 
CONDSTORE/QRESYNC IMAP extensions (i.e. mod sequence values for 
messages).
2014-01-31 11:12:20 software-horde (at) interfasys (dot) ch Comment #3 Reply to this comment
Ingo (the filter frontend) doesn't have much to do with IMP, e.g. 
there is no way to notify Ingo if a folder name in IMP has changed. 
More important though, the folders can be renamed outside of IMP 
too, which would go  completely unseen by Ingo.
OK.
I was wondering if folders could be tracked internally using some sort 
of IMAP folder ID which never changes despite the name change, but 
since you know tons more than I do regarding IMAP, I trust you when 
you say it's not feasible :)

2014-01-31 10:58:11 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
Ingo (the filter frontend) doesn't have much to do with IMP, e.g. 
there is no way to notify Ingo if a folder name in IMP has changed. 
More important though, the folders can be renamed outside of IMP too, 
which would go  completely unseen by Ingo.
2014-01-30 18:57:22 software-horde (at) interfasys (dot) ch Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Update filters when folders are moved
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
#1 Create filter and choose to place emails in a folder. Create the 
folder on the fly.
# 2 Go to mail view and re-arrange folders by placing the newly 
created one inside INBOX
# 3 Go back to filters and edit the filter which was created at step #1

The rule has lost track of the folder and is asking the user to pick a 
folder to store the messages which meet the criteria.

I'm not sure how IMP could keep track of folders, but could be nice to 
have, just like on desktop clients.

Saved Queries